Show details of a number

Show the details of a number already allocated to your account.

Request

Endpoint: /api/number/{number_uuid}
Example: /api/number/7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Response

Example:

                                
    {
        "uuid": "7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f",
        "number_e164": "+441245123456",
        "number": "123456",
        "range_code": "1245",
        "range_name": "Chelmsford",
        "country_code": "44",
        "country_name": "United Kingdom",
        "country_iso": "UK",
        "monthly_charge": 0.3,
        "setup_charge": 0,
        "status": "Reserved",
        "details" : {
            "status": "Reserved",
            "provisioned": "2018-11-12 14:21:48",
            "cancelled": "",
            "number_address": {
                "id": 1,
                "name": "Main office",
                "useForProofOfAddress": true,
                "useForEmergencyAddress": false,
                "addressLine1":  "7800 Alexander Road",
                "addressLine2":  "",
                "addressCity": "London",
                "addressRegion": "London",
                "addressPostalCode": "NW2 1AA",
                "addressCountry": {
                    "name": "United Kingdom",
                    "iso": "GB"
                }
            },
            "emergency_number_address": {
                "id": 2,
                "name": "Other Main office",
                "useForProofOfAddress": false,
                "useForEmergencyAddress": true,
                "addressLine1": "7801 Alexander Road",
                "addressLine2": "",
                "addressCity": "London",
                "addressRegion": "London",
                "addressPostalCode": "NW2 1AA",
                "addressCountry": {
                    "name": "United Kingdom",
                    "iso": "GB"
                }
            }
        },
        "provisioned": "2016-01-03 17:48:59" 
    }
                                
                            
uuid Description The uuid for the number, used to perform actions on the number
Type String
Example 7c327e0f-6bce-4b2f-9d5d-9c86e7fa065f
number_e164 Description The E.164 representation of the number
Type String
Example +441245123456
number Description The local number
Type String
Example 123456
range_code Description The range code for the number
Type String
Example 1245
range_name Description The range name, such as number type or area code
Type String
Example Chelmsford
country_code Description The country dialling code for the number
Type String
Example 44
country_name Description The country name for the number
Type String
Example United Kingdom
country_iso Description The ISO code for the country
Type String
Example UK
monthly_charge Description The monthly cost for the number
Type String
Example 0.3
setup_charge Description The once off setup cost for the number
Type String
Example 0
status Description The status of the number
Type String
Example Reserved
Values
Status Description
Available Number is available for purchase
Reserved Number is reserved to your account. The order has completed, but provisioning is pending
Provisioned Number is provisioned and available for use
In-cancellation Number is in the process of cancellation
Quarantined Number is quarantined
Provisioning Failed Number failed to provision and is awaiting manual intervention by our engineers
Deactivation Failed Number failed to deactivate and is awaiting manual intervention by our engineers
Processing Number has been ordered and is currently on the processing step*
Purchasing Number has been ordered and is currently on the purchasing step*
*These statuses denote internal steps in the ordering process and are exposed only to enable you to report the specific step to support
number_address Description The address associated with the telephone number (possible for proof of address). This property will be null if no address is associated.
Type Object
Example
{
    "id": 1,
    "name": "Main office",
    "useForProofOfAddress": true,
    "useForEmergencyAddress": false,
    "addressLine1": "7800 Alexander Road",
    "addressLine2": "",
    "addressCity": "London",
    "addressRegion": "London",
    "addressPostalCode": "NW2 1AA",
    "addressCountry": {
        "name": "United Kingdom",
        "iso": "GB"
    }
}
emergency_number_address Description The address registered with the emergency services for this telephone number. This property will be null if no address is associated.
Type Object
Example
{
    "id": 2,
    "name": "Other Main office",
    "useForProofOfAddress": false,
    "useForEmergencyAddress": true,
    "addressLine1": "7801 Alexander Road",
    "addressLine2": "",
    "addressCity": "London",
    "addressRegion": "London",
    "addressPostalCode": "NW2 1AA",
    "addressCountry": {
        "name": "United Kingdom",
        "iso": "GB"
    }
}
provisioned Description The timestamp the number was provisioned to your account
Type Timestamp
Example 2016-01-03 17:48:59

Back to top